using System;
using System.Runtime.InteropServices;

namespace CustomToolGenerator
{
	[Guid("78309800-200C-493A-BE9D-0CD7444DC484")]
	public class GeneratorMain : CustomToolBase
	{
		public override string GetDefaultExtension()
		{
			return ".generated.cs";
		}

		protected override string GenerateCode(string fileContent)
		{
			return @"using System;
namespace Boo
{
	public class HelloWorld
	{
		public static void Hi()
		{
			Console.Out.WriteLine(""Hi, my namespace is "
				+ CustomToolNamespace + @""");
		}
	}
}
";
		}
	}
}
